Unable to save an existing template in composer
Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18147

Description

I have a template that I need to edit (using QGIS Master commit:dae8ea66a169db7539a08dc81d2ebe9dab789f37).

Although I am able to create and save new templates (as .qpt), I am not able to save edits to my existing template. When I click the save

as template icon, the QGIS main window is refocussed but and no save as dialog appears.

I am attaching the template and a short screencast that illustrates the issue, and an example template that I have the issue with.

History

#1 - 2014-02-14 01:23 AM - Nyall Dawson

- Status changed from Open to Feedback

I can't replicate this. It may be OSX specific...? Can you test under a different platform?

#2 - 2014-04-20 03:25 PM - Nyall Dawson

Tim - is this still reproducible?

#3 - 2014-06-14 02:30 AM - Tim Sutton

- Status changed from Feedback to Closed

Closing this out - I no longer have OSX so cant verify if the issue persists.

Files

qgis-template-save-issue.mp4 4.63 MB 2014-02-13 Tim Sutton

inasafe-portrait-a4.qpt 15.7 KB 2014-02-13 Tim Sutton
